/*
   Constants that define the geometry of the dock-app window
*/

//If you need an unshaped window, undef WMAKER.
#define WMAKER


#include "xpm/back.xpm"

#ifndef WMAKER
#include "xpm/tile.xpm"
#endif

#define TLEFT    0      //left offset for drawing in window
#define TTOP     0      //top  offset for drawing in window
#define TWIDTH   64     //width of window
#define THEIGHT  64     //height of window

#define W_WID 23        //width of weekday-text
#define W_HEI 7         //height of weekday-text

#define D_WID  16       //width  of a day-number pixmap
#define D_HEI  18       //height of a day-number pixmap
#define D_ONE  9	//width of day-number 1 pixmap

#define D_OFF1 0        //Three offsets for placing the numbers of
#define D_OFF2 3        //the day. Those differ because the "1" is
#define D_OFF3 6        //smaller than the other numbers. Now things
                        //are centered properly if there's a "1" in
                        //the day.

#define M_WID  23       //width  of month-text
#define M_HEI  7        //height of month-text

//origins in master pixmap
#define TW_LFT 100      //offset of weekday left   position in master pixmap
#define TD_TOP 64       //offset of day top        position in master pixmap
#define TM_LFT 160      //offset of month left     position in master pixmap

//placement
#define PW_LFT  20      //left offset of weekday-text in window
#define PW_TOP  17      //top  offset of weekday-text in window

#define PD_LFT1 16      //hor. placement of left number of the day
#define PD_LFT2 24      //hor. placement if there's only one number of the day
#define PD_LFT3 32      //hor. placement of right number of the day
#define PD_TOP  25      //ver. placement of numbers of the day

#define PM_LFT  20      //hor. placement of month-text
#define PM_TOP  44      //ver. placement of month-text

